# List tasks.

List tasks.

Endpoint: GET /tasks
Version: 1.0.0
Security: Token

## Response 200 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "success"

  - `data` (array,null)
    A collection of objects.

  - `data.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.name` (string, required)
    The name of the task.
    Example: "Complete 41 Drone Shots, Variant corporis"

  - `data.description` (string,null)
    Detailed description of the task
    Example: "Complete 41 Drone Shots, Variant corporis"

  - `data.quantity` (integer,null)
    Number of items or units for this task
    Example: 1

  - `data.pay_run_item_amount` (number,null)
    Payment amount associated with this task
    Example: 10000

  - `data.due_at` (string,null)
    Deadline for task completion
    Example: "2021-06-30T20:30:00Z"

  - `data.completed_at` (string,null)
    When the task was completed
    Example: "2021-06-30T20:30:00Z"

  - `data.is_completed` (boolean, required)
    Flag indicating whether the task is completed
    Example: true

  - `data.completed_by` (object,null)
    A team member of a company.

  - `data.completed_by.object` (string, required)
    A canonical value representing a resource.
    Enum: "COMPANY_TEAM_MEMBER"

  - `data.completed_by.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.completed_by.calendar_color` (string,null)
    Color code for calendar display, if assigned
    Example: "#FF0000"

  - `data.completed_by.permissions` (array, required)
    List of permissions granted to the team member

  - `data.completed_by.permissions.object` (string)
    A canonical value representing a resource.
    Enum: "PERMISSION"

  - `data.completed_by.permissions.name` (string, required)
    The name of the permission
    Enum: "ACTIVITY_LOG_VIEW", "APP_STORE_VIEW_ANY", "APPOINTMENTS_MANAGE", "AVAILABILITY_VIEW_ANY", "CALENDAR_VIEW_ANY", "CUSTOMER_CREATE", "CUSTOMER_DELETE", "CUSTOMER_EXPORT_CREATE", "CUSTOMER_IMPORT_CREATE", "CUSTOMER_VIEW_ANY", "FEE_VIEW_ANY", "LISTING_CREATE", "LISTING_DELETE", "LISTING_VIEW_ANY", "MEDIA_REQUEST_MANAGE", "ORDER_AMOUNT_VIEW_ANY", "ORDER_FORM_VIEW_ANY", "ORDER_NOTES_MANAGE", "ORDER_VIEW_ANY", "ORDERS_MANAGE", "PAYMENT_METHODS_MANAGE", "PAYROLL_MANAGE", "PAYROLL_PERSONAL_MANAGE", "PAYROLL_PERSONAL_VIEW", "PRODUCT_VIEW_ANY", "REPORT_VIEW_ANY", "SETTINGS_MANAGE", "TAX_VIEW_ANY", "TERRITORY_VIEW_ANY", "ZILLOW_MEDIA_EXCLUSIVES_MANAGE", "SAVED_VIEWS_MANAGE"

  - `data.completed_by.restrictions` (array, required)
    List of restrictions applied to the team member

  - `data.completed_by.is_service_provider` (boolean, required)
    Indicates if the team member is a service provider
    Example: true

  - `data.completed_by.external_id` (string,null)
    External identifier for the team member, if any
    Example: "1234567890"

  - `data.completed_by.company_user` (object,null)
    A record of a person on the Aryeo platform.

  - `data.completed_by.company_user.object` (string,null)
    A canonical value representing a resource.
    Example: "PERSONAL_ACCESS_TOKEN"

  - `data.completed_by.company_user.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.completed_by.company_user.email` (string, required)
    Email address of the user.
    Example: "john.doe@gmail.com"

  - `data.completed_by.company_user.first_name` (string,null)
    First name of the user.
    Example: "John"

  - `data.completed_by.company_user.last_name` (string,null)
    Last name of the user.
    Example: "Doe"

  - `data.completed_by.company_user.full_name` (string,null)
    The full name of the user.
    Example: "John Doe"

  - `data.completed_by.company_user.internal_notes` (string,null)
    Internal notes for the user.
    Example: "Internal notes for the user."

  - `data.completed_by.company_user.status` (string)
    The status of the user.
    Enum: "active", "inactive", "new", "sso"

  - `data.completed_by.company_user.phone` (string,null)
    A phone number represented in whichever standards specified by the user, typically ###-###-#### (separated by hyphens).
    Example: "123456789"

  - `data.completed_by.company_user.avatar_url` (string,null)
    The avatar image URL of a user.
    Example: "https://picsum.photos/300"

  - `data.completed_by.company_user.relationship` (string,null)
    Describes user's relationship (access level) to a specified group. Only returned if this resource is returned as a sub-resource of a group.
    Example: "owner"

  - `data.completed_by.company_user.sso_users` (array)
    The list of SSO users associated with this user.

  - `data.completed_by.company_user.sso_users.sso_id` (string, required)
    SSO ID of the user
    Example: "1234"

  - `data.completed_by.company_user.sso_users.sso_provider` (object)
    A SSO Provider contains the information pertaining to the SSO connection.

  - `data.completed_by.company_user.sso_users.sso_provider.name` (string, required)
    Name of the provider
    Example: "Some Company"

  - `data.completed_by.company_user.sso_users.sso_provider.provider` (string, required)
    Technology of the provider
    Example: "Auth0"

  - `data.completed_by.company_user.is_super` (boolean,null)
    Indicates if the user is a super user.
    Example: true

  - `data.completed_by.company_user.verification_status` (string)
    The verification status of the user.
    Enum: "verified", "unverified", "new", "sso"

  - `data.completed_by.company_user.password_expiration_days` (integer,null)
    The number of days until the user's password expires.
    Example: 30

  - `data.completed_by.company_user.timezone` (string,null)
    The default timezone for the user.
    Example: "America/New_York"

  - `data.completed_by.company_user.created_at` (string,null)
    The date and time (ISO 8601 format) when the user was created.
    Example: "2021-06-30T20:30:00Z"

  - `data.completed_by.has_owner_role` (boolean,null)
    Indicates if the team member has the owner role
    Example: true

  - `data.completed_by.is_owner` (boolean,null)
    Indicates if the team member is the owner
    Example: true

  - `data.completed_by.invitation_accepted_at` (string,null)
    The date and time (ISO 8601 format) when the company team member invitation was accepted
    Example: "2025-04-01T05:59:59.999999Z"

  - `data.completed_by.role` (string,null)
    The role of the team member
    Enum: "ADMIN", "MEMBER", "OWNER"

  - `data.completed_by.status` (string,null)
    The status of the team member
    Enum: "active", "invited", "revoked"

  - `data.completed_by.is_active` (boolean,null)
    Indicates if the team member is active
    Example: true

  - `data.completed_by.is_invited` (boolean,null)
    Indicates if the team member is invited
    Example: true

  - `data.completed_by.is_revoked` (boolean,null)
    Indicates if the team member is revoked
    Example: true

  - `data.completed_by.scheduling_priority` (integer,null)
    The scheduling priority of the team member
    Example: 1

  - `data.completed_by.created_at` (string,null)
    The date and time (ISO 8601 format) when the company team member was created
    Example: "2025-04-01T05:59:59.999999Z"

  - `data.completed_by.require_appointment_confirmation` (boolean,null)
    Indicates if the team member requires appointment confirmation
    Example: true

  - `data.completed_by.fees` (array)
    The fees assigned to the team member

  - `data.completed_by.fees.object` (string, required)
    A canonical value representing a resource.
    Enum: "FEE"

  - `data.completed_by.fees.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.completed_by.fees.title` (string,null)
    The title of the fee.
    Example: "Flat Fee"

  - `data.completed_by.fees.type` (string)
    The type of fee.
    Enum: "FLAT", "PERCENT", "BASIC_METERED", "GRADUATED_METERED", "VOLUME_METERED", "TERRITORY"

  - `data.completed_by.fees.name` (string)
    The name of the fee.
    Example: "Flat Fee"

  - `data.completed_by.fees.description` (string)
    The description of the fee.
    Example: "Flat fee for the order"

  - `data.completed_by.fees.avalara_tax_code` (string,null)
    The Avalara tax code for the fee.
    Example: "12345"

  - `data.completed_by.fees.quickbooks_item_id` (string,null)
    The Quickbooks item ID for the fee.
    Example: "12345"

  - `data.completed_by.fees.amount` (number)
    The amount of the fee.
    Example: 100

  - `data.completed_by.travel_fee_amount` (integer,null)
    The travel fee amount in cents
    Example: 1000

  - `data.completed_by.travel_fee_is_estimated` (boolean,null)
    Indicates if the travel fee is estimated
    Example: true

  - `data.completed_by.restricted_customers` (array)
    Customers that this team member is restricted from working with

  - `data.completed_by.restricted_customers.object` (string)
    A canonical value representing a resource.
    Enum: "GROUP"

  - `data.completed_by.restricted_customers.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.completed_by.restricted_customers.type` (string, required)
    The type of the group. Can be CREATOR, AGENT, or BROKERAGE, and may dictate the attributes of the group returned.
    Enum: "CREATOR", "AGENT", "BROKERAGE"

  - `data.completed_by.restricted_customers.name` (string, required)
    The name of the group.
    Example: "John Doe Reality"

  - `data.completed_by.restricted_customers.email` (string,null)
    The email address of a group.
    Example: "john.doe@gmail.com"

  - `data.completed_by.restricted_customers.phone` (string,null)
    A phone number represented in whichever standards specified by the group, typically ###-###-#### (separated by hyphens).
    Example: "6175550173"

  - `data.completed_by.restricted_customers.website_url` (string,null)
    The website URL of a group.
    Example: "https://www.aryeo.com"

  - `data.completed_by.restricted_customers.logo_url` (string,null)
    The logo URL of a group.
    Example: "https://picsum.photos/300"

  - `data.completed_by.restricted_customers.office_name` (string,null)
    The name of the brokerage or team of a real estate agent. Only returned if group's type is AGENT.
    Example: "John Doe Brokerage"

  - `data.completed_by.restricted_customers.license_number` (string,null)
    The license number of a real estate agent. Only returned if group's type is AGENT.
    Example: "12345678"

  - `data.completed_by.restricted_customers.timezone` (string,null)
    The default timezone for the group.
    Example: "America/New_York"

  - `data.completed_by.restricted_customers.currency` (string)
    The default currency for the group.
    Enum: "USD", "CAD", "GBP", "CHF", "EUR", "AUD", "NZD", "ZAR", "DKK"

  - `data.completed_by.restricted_customers.slug` (string,null)
    The slug for the group.
    Example: "example-photography"

  - `data.completed_by.restricted_customers.order_page_url` (string,null)
    The order page URL for the group.
    Example: "https://example-photography.aryeo.com/order"

  - `data.completed_by.restricted_customers.feature_flags` (array,null)
    An array of feature flags for the group.
    Enum: "alternate_unbranded_property_site_url", "avalara_tax_syncing", "avalara_taxes", "byop", "calendar_event_title_modified", "custom_field_uploads", "customer_teams_order_form_landing_page_override", "customer_teams_product_preselect", "customer_teams_external_payments", "customer_portal_mobile_app_automated_screenshots", "database_external_calendar_events", "default_reschedule_toggle_false", "idp_migration_in_progress", "listings_new_creation_flow", "listings_new_edit_page", "min_hour_targets", "max_travel_distance", "order_form_categories", "require_photographer_confirmations", "showcase_order_form_visibility_designations", "team_member_restrictions", "team_member_hide_customer_pii", "virtual_staging_ai_v2", "virtual_staging_ai_v2_pricing", "virtuals1_custom_sms_notification_messages", "quickbooks_app", "webhooks", "zillow_3d_home", "zillow_streeteasy", "zillow_rentals"

  - `data.completed_by.restricted_customers.order_page_background_color` (string,null)
    The background color for the order page (has a hex value) for the group.
    Example: "#FF0000"

  - `data.completed_by.restricted_customers.social_profiles` (object,null)
    External profile URLs for an agent or brokerage group.

  - `data.completed_by.restricted_customers.social_profiles.facebook_profile_url` (string,null)
    URL for Facebook.
    Example: "https://www.facebook.com/johndoe"

  - `data.completed_by.restricted_customers.social_profiles.instagram_profile_url` (string,null)
    URL for Instagram.
    Example: "https://www.instagram.com/johndoe"

  - `data.completed_by.restricted_customers.social_profiles.twitter_profile_url` (string,null)
    URL for Twitter.
    Example: "https://twitter.com/johndoe"

  - `data.completed_by.restricted_customers.social_profiles.linkedin_profile_url` (string,null)
    URL for LinkedIn.
    Example: "https://www.linkedin.com/in/johndoe/"

  - `data.completed_by.restricted_customers.social_profiles.zillow_profile_url` (string,null)
    URL for Zillow.
    Example: "https://www.zillow.com/profile/johndoe"

  - `data.completed_by.restricted_customers.default_order_form` (object)
    An order form is a form that is used to submit an order.

  - `data.completed_by.restricted_customers.default_order_form.object` (string)
    A canonical value representing a resource.
    Enum: "ORDER_FORM"

  - `data.completed_by.restricted_customers.default_order_form.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.completed_by.restricted_customers.default_order_form.title` (string, required)
    The title or name of the order form.
    Example: "BQ's Photography Order Form"

  - `data.completed_by.restricted_customers.default_order_form.type` (string, required)
    The type of the order form, indicating whether the order form is an Aryeo order form or that of another scheduling service provider.
    Enum: "ARYEO", "EXTERNAL"

  - `data.completed_by.restricted_customers.default_order_form.url` (string, required)
    A URL of a publicly-accessible webpage for this order form.
    Example: "https://www.aryeo.com/order-forms/00000000-0000-4000-8000-000000000000"

  - `data.completed_by.restricted_customers.default_order_form.is_public` (boolean)
    Indicates if the order form is publicly visible to all customers on the order form page
    Example: true

  - `data.completed_by.restricted_customers.default_order_form.thumbnail_url` (string,null)
    A thumbnail image URL for the order form.
    Example: "https://picsum.photos/300"

  - `data.completed_by.restricted_customers.default_order_form.use_territory_awareness` (boolean)
    Indicates if the order form is uses territories to filter available users and products.
    Example: true

  - `data.completed_by.restricted_customers.default_order_form.availability_style` (string)
    The scheduling style the order form should use to for timeslot selection.
    Enum: "TIME", "TIME_OF_DAY", "LEGACY", "DATETIME_PICKER"

  - `data.completed_by.restricted_customers.default_order_form.slot_interval_minutes` (integer)
    How frequently slotted available times are on the order form.
    Example: 60

  - `data.completed_by.restricted_customers.default_order_form.use_automated_user_assignment` (boolean)
    Indicates if the order form users auto-assignment of users to appointments.
    Example: true

  - `data.completed_by.restricted_customers.default_order_form.automated_user_assignment_strategy` (string)
    The assignment strategy the order form should use to assign users to appointments, if applicable.
    Enum: "RECOMMENDED", "HOURS_PRIORITY", "DISTANCE", "ROUND_ROBIN", "PRIORITY_LIST"

  - `data.completed_by.restricted_customers.default_order_form.show_user_names` (boolean)
    Indicates if the order form should display user's names after they have been assigned to an appointment.
    Example: true

  - `data.completed_by.restricted_customers.default_order_form.require_upfront_payment` (boolean)
    Indicates if the order form requires an upfront payment to place the order.
    Example: true

  - `data.completed_by.restricted_customers.default_order_form.upfront_payment_percentage` (integer,null)
    The percentage of the order form's total price that should be paid upfront.
    Example: 50

  - `data.completed_by.restricted_customers.default_order_form.use_instant_appointment_scheduling` (boolean)
    Indicates if the order form instantly schedules appointments as soon as the order is placed.
    Example: true

  - `data.completed_by.restricted_customers.default_order_form.form_settings` (object)
    The settings for the order form.

  - `data.completed_by.restricted_customers.default_order_form.owner` (object)
    A collection of users that can interact with the Aryeo platform. Permissions and properties are determined based on the group's type which can be creator, agent, or brokerage.

  - `data.completed_by.restricted_customers.default_order_form.company` (object)
    A collection of users that can interact with the Aryeo platform. Permissions and properties are determined based on the group's type which can be creator, agent, or brokerage.

  - `data.completed_by.restricted_customers.use_territory_awareness` (boolean,null)
    Indicates if the order form by default uses territories to filter available users and products.
    Example: true

  - `data.completed_by.restricted_customers.availability_style` (string,null)
    The scheduling style the order form should use for timeslot selection by default.
    Enum: "TIME", "TIME_OF_DAY", "LEGACY"

  - `data.completed_by.restricted_customers.slot_interval_minutes` (integer,null)
    How frequently slotted available times are on the order form by default.
    Example: 60

  - `data.completed_by.restricted_customers.use_automated_user_assignment` (boolean,null)
    Indicates if the order form uses auto-assignment of users to appointments.
    Example: true

  - `data.completed_by.restricted_customers.automated_user_assignment_strategy` (string,null)
    The default assignment strategy the order form should use to assign users to appointments, if applicable.
    Enum: "RECOMMENDED", "HOURS_PRIORITY", "DISTANCE", "ROUND_ROBIN", "PRIORITY_LIST"

  - `data.completed_by.restricted_customers.show_user_names` (boolean,null)
    Indicates if the order form by default should display user's names after they have been assigned to an appointment.
    Example: true

  - `data.completed_by.restricted_customers.use_instant_appointment_scheduling` (boolean,null)
    Indicates if the order form by default instantly schedules appointments as soon as the order is placed.
    Example: true

  - `data.completed_by.restricted_customers.allow_order_cancellation` (boolean,null)
    If the group is a company, then this indicates if company allows customers to cancel orders or order items.
    Example: true

  - `data.completed_by.restricted_customers.order_forms` (array,null)
    An array of order forms a vendor group provides for placing orders. Only returned if group's type is CREATOR.

  - `data.completed_by.restricted_customers.order_forms.object` (string)
    A canonical value representing a resource.
    Enum: "ORDER_FORM"

  - `data.completed_by.restricted_customers.order_forms.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.completed_by.restricted_customers.order_forms.title` (string, required)
    The title or name of the order form.
    Example: "BQ's Photography Order Form"

  - `data.completed_by.restricted_customers.order_forms.type` (string, required)
    The type of the order form, indicating whether the order form is an Aryeo order form or that of another scheduling service provider.
    Enum: "ARYEO", "EXTERNAL"

  - `data.completed_by.restricted_customers.order_forms.url` (string, required)
    A URL of a publicly-accessible webpage for this order form.
    Example: "https://www.aryeo.com/order-forms/00000000-0000-4000-8000-000000000000"

  - `data.completed_by.restricted_customers.order_forms.is_public` (boolean)
    Indicates if the order form is publicly visible to all customers on the order form page
    Example: true

  - `data.completed_by.restricted_customers.order_forms.thumbnail_url` (string,null)
    A thumbnail image URL for the order form.
    Example: "https://picsum.photos/300"

  - `data.completed_by.restricted_customers.order_forms.use_territory_awareness` (boolean)
    Indicates if the order form is uses territories to filter available users and products.
    Example: true

  - `data.completed_by.restricted_customers.order_forms.availability_style` (string)
    The scheduling style the order form should use to for timeslot selection.
    Enum: "TIME", "TIME_OF_DAY", "LEGACY", "DATETIME_PICKER"

  - `data.completed_by.restricted_customers.order_forms.slot_interval_minutes` (integer)
    How frequently slotted available times are on the order form.
    Example: 60

  - `data.completed_by.restricted_customers.order_forms.use_automated_user_assignment` (boolean)
    Indicates if the order form users auto-assignment of users to appointments.
    Example: true

  - `data.completed_by.restricted_customers.order_forms.automated_user_assignment_strategy` (string)
    The assignment strategy the order form should use to assign users to appointments, if applicable.
    Enum: "RECOMMENDED", "HOURS_PRIORITY", "DISTANCE", "ROUND_ROBIN", "PRIORITY_LIST"

  - `data.completed_by.restricted_customers.order_forms.show_user_names` (boolean)
    Indicates if the order form should display user's names after they have been assigned to an appointment.
    Example: true

  - `data.completed_by.restricted_customers.order_forms.require_upfront_payment` (boolean)
    Indicates if the order form requires an upfront payment to place the order.
    Example: true

  - `data.completed_by.restricted_customers.order_forms.upfront_payment_percentage` (integer,null)
    The percentage of the order form's total price that should be paid upfront.
    Example: 50

  - `data.completed_by.restricted_customers.order_forms.use_instant_appointment_scheduling` (boolean)
    Indicates if the order form instantly schedules appointments as soon as the order is placed.
    Example: true

  - `data.completed_by.restricted_customers.order_forms.form_settings` (object)
    The settings for the order form.

  - `data.completed_by.restricted_customers.order_forms.owner` (object)
    A collection of users that can interact with the Aryeo platform. Permissions and properties are determined based on the group's type which can be creator, agent, or brokerage.

  - `data.completed_by.restricted_customers.order_forms.company` (object)
    A collection of users that can interact with the Aryeo platform. Permissions and properties are determined based on the group's type which can be creator, agent, or brokerage.

  - `data.completed_by.restricted_customers.owner` (object,null)
    A record of a person on the Aryeo platform.

  - `data.completed_by.restricted_customers.owner.object` (string,null)
    A canonical value representing a resource.
    Example: "PERSONAL_ACCESS_TOKEN"

  - `data.completed_by.restricted_customers.owner.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.completed_by.restricted_customers.owner.email` (string, required)
    Email address of the user.
    Example: "john.doe@gmail.com"

  - `data.completed_by.restricted_customers.owner.first_name` (string,null)
    First name of the user.
    Example: "John"

  - `data.completed_by.restricted_customers.owner.last_name` (string,null)
    Last name of the user.
    Example: "Doe"

  - `data.completed_by.restricted_customers.owner.full_name` (string,null)
    The full name of the user.
    Example: "John Doe"

  - `data.completed_by.restricted_customers.owner.internal_notes` (string,null)
    Internal notes for the user.
    Example: "Internal notes for the user."

  - `data.completed_by.restricted_customers.owner.status` (string)
    The status of the user.
    Enum: "active", "inactive", "new", "sso"

  - `data.completed_by.restricted_customers.owner.phone` (string,null)
    A phone number represented in whichever standards specified by the user, typically ###-###-#### (separated by hyphens).
    Example: "123456789"

  - `data.completed_by.restricted_customers.owner.avatar_url` (string,null)
    The avatar image URL of a user.
    Example: "https://picsum.photos/300"

  - `data.completed_by.restricted_customers.owner.relationship` (string,null)
    Describes user's relationship (access level) to a specified group. Only returned if this resource is returned as a sub-resource of a group.
    Example: "owner"

  - `data.completed_by.restricted_customers.owner.sso_users` (array)
    The list of SSO users associated with this user.

  - `data.completed_by.restricted_customers.owner.sso_users.sso_id` (string, required)
    SSO ID of the user
    Example: "1234"

  - `data.completed_by.restricted_customers.owner.sso_users.sso_provider` (object)
    A SSO Provider contains the information pertaining to the SSO connection.

  - `data.completed_by.restricted_customers.owner.sso_users.sso_provider.name` (string, required)
    Name of the provider
    Example: "Some Company"

  - `data.completed_by.restricted_customers.owner.sso_users.sso_provider.provider` (string, required)
    Technology of the provider
    Example: "Auth0"

  - `data.completed_by.restricted_customers.owner.is_super` (boolean,null)
    Indicates if the user is a super user.
    Example: true

  - `data.completed_by.restricted_customers.owner.verification_status` (string)
    The verification status of the user.
    Enum: "verified", "unverified", "new", "sso"

  - `data.completed_by.restricted_customers.owner.password_expiration_days` (integer,null)
    The number of days until the user's password expires.
    Example: 30

  - `data.completed_by.restricted_customers.owner.timezone` (string,null)
    The default timezone for the user.
    Example: "America/New_York"

  - `data.completed_by.restricted_customers.owner.created_at` (string,null)
    The date and time (ISO 8601 format) when the user was created.
    Example: "2021-06-30T20:30:00Z"

  - `data.completed_by.restricted_customers.users` (array,null)
    The Aryeo users associated with this group.

  - `data.completed_by.restricted_customers.users.object` (string,null)
    A canonical value representing a resource.
    Example: "PERSONAL_ACCESS_TOKEN"

  - `data.completed_by.restricted_customers.users.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.completed_by.restricted_customers.users.email` (string, required)
    Email address of the user.
    Example: "john.doe@gmail.com"

  - `data.completed_by.restricted_customers.users.first_name` (string,null)
    First name of the user.
    Example: "John"

  - `data.completed_by.restricted_customers.users.last_name` (string,null)
    Last name of the user.
    Example: "Doe"

  - `data.completed_by.restricted_customers.users.full_name` (string,null)
    The full name of the user.
    Example: "John Doe"

  - `data.completed_by.restricted_customers.users.internal_notes` (string,null)
    Internal notes for the user.
    Example: "Internal notes for the user."

  - `data.completed_by.restricted_customers.users.status` (string)
    The status of the user.
    Enum: "active", "inactive", "new", "sso"

  - `data.completed_by.restricted_customers.users.phone` (string,null)
    A phone number represented in whichever standards specified by the user, typically ###-###-#### (separated by hyphens).
    Example: "123456789"

  - `data.completed_by.restricted_customers.users.avatar_url` (string,null)
    The avatar image URL of a user.
    Example: "https://picsum.photos/300"

  - `data.completed_by.restricted_customers.users.relationship` (string,null)
    Describes user's relationship (access level) to a specified group. Only returned if this resource is returned as a sub-resource of a group.
    Example: "owner"

  - `data.completed_by.restricted_customers.users.sso_users` (array)
    The list of SSO users associated with this user.

  - `data.completed_by.restricted_customers.users.sso_users.sso_id` (string, required)
    SSO ID of the user
    Example: "1234"

  - `data.completed_by.restricted_customers.users.sso_users.sso_provider` (object)
    A SSO Provider contains the information pertaining to the SSO connection.

  - `data.completed_by.restricted_customers.users.sso_users.sso_provider.name` (string, required)
    Name of the provider
    Example: "Some Company"

  - `data.completed_by.restricted_customers.users.sso_users.sso_provider.provider` (string, required)
    Technology of the provider
    Example: "Auth0"

  - `data.completed_by.restricted_customers.users.is_super` (boolean,null)
    Indicates if the user is a super user.
    Example: true

  - `data.completed_by.restricted_customers.users.verification_status` (string)
    The verification status of the user.
    Enum: "verified", "unverified", "new", "sso"

  - `data.completed_by.restricted_customers.users.password_expiration_days` (integer,null)
    The number of days until the user's password expires.
    Example: 30

  - `data.completed_by.restricted_customers.users.timezone` (string,null)
    The default timezone for the user.
    Example: "America/New_York"

  - `data.completed_by.restricted_customers.users.created_at` (string,null)
    The date and time (ISO 8601 format) when the user was created.
    Example: "2021-06-30T20:30:00Z"

  - `data.completed_by.restricted_customers.is_brokerage_or_brokerage_agent` (boolean,null)
    Indicates if the group is a brokerage or brokerage agent.
    Example: true

  - `data.completed_by.restricted_customers.avatar_url` (string,null)
    The avatar image URL of a user.
    Example: "https://picsum.photos/300"

  - `data.completed_by.restricted_customers.internal_notes` (string,null)
    Internal notes about the group.
    Example: "Internal notes about the group."

  - `data.completed_by.restricted_customers.team_members` (array,null)
    NOTE: Users do not have team members.

  - `data.completed_by.restricted_customers.team_members.object` (string,null)
    A canonical value representing a resource.
    Example: "PERSONAL_ACCESS_TOKEN"

  - `data.completed_by.restricted_customers.team_members.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.completed_by.restricted_customers.team_members.email` (string, required)
    Email address of the user.
    Example: "john.doe@gmail.com"

  - `data.completed_by.restricted_customers.team_members.first_name` (string,null)
    First name of the user.
    Example: "John"

  - `data.completed_by.restricted_customers.team_members.last_name` (string,null)
    Last name of the user.
    Example: "Doe"

  - `data.completed_by.restricted_customers.team_members.full_name` (string,null)
    The full name of the user.
    Example: "John Doe"

  - `data.completed_by.restricted_customers.team_members.internal_notes` (string,null)
    Internal notes for the user.
    Example: "Internal notes for the user."

  - `data.completed_by.restricted_customers.team_members.status` (string)
    The status of the user.
    Enum: "active", "inactive", "new", "sso"

  - `data.completed_by.restricted_customers.team_members.phone` (string,null)
    A phone number represented in whichever standards specified by the user, typically ###-###-#### (separated by hyphens).
    Example: "123456789"

  - `data.completed_by.restricted_customers.team_members.avatar_url` (string,null)
    The avatar image URL of a user.
    Example: "https://picsum.photos/300"

  - `data.completed_by.restricted_customers.team_members.relationship` (string,null)
    Describes user's relationship (access level) to a specified group. Only returned if this resource is returned as a sub-resource of a group.
    Example: "owner"

  - `data.completed_by.restricted_customers.team_members.sso_users` (array)
    The list of SSO users associated with this user.

  - `data.completed_by.restricted_customers.team_members.sso_users.sso_id` (string, required)
    SSO ID of the user
    Example: "1234"

  - `data.completed_by.restricted_customers.team_members.sso_users.sso_provider` (object)
    A SSO Provider contains the information pertaining to the SSO connection.

  - `data.completed_by.restricted_customers.team_members.sso_users.sso_provider.name` (string, required)
    Name of the provider
    Example: "Some Company"

  - `data.completed_by.restricted_customers.team_members.sso_users.sso_provider.provider` (string, required)
    Technology of the provider
    Example: "Auth0"

  - `data.completed_by.restricted_customers.team_members.is_super` (boolean,null)
    Indicates if the user is a super user.
    Example: true

  - `data.completed_by.restricted_customers.team_members.verification_status` (string)
    The verification status of the user.
    Enum: "verified", "unverified", "new", "sso"

  - `data.completed_by.restricted_customers.team_members.password_expiration_days` (integer,null)
    The number of days until the user's password expires.
    Example: 30

  - `data.completed_by.restricted_customers.team_members.timezone` (string,null)
    The default timezone for the user.
    Example: "America/New_York"

  - `data.completed_by.restricted_customers.team_members.created_at` (string,null)
    The date and time (ISO 8601 format) when the user was created.
    Example: "2021-06-30T20:30:00Z"

  - `data.completed_by.restricted_customers.customer_group` (string,null)
    NOTE: Users do not have customer groups and they are deprecated.
    Example: "null"

  - `data.completed_by.restricted_customers.custom_field_entries` (array,null)
    NOTE: Need to make a migration plan for this.

  - `data.completed_by.restricted_customers.created_at` (string,null)
    The date and time the group was created.
    Example: "2021-06-30T20:30:00Z"

  - `data.completed_by.restricted_customers.has_restricted_photographers` (boolean,null)
    Whether the group is restricted from booking appointments with certain photographers.
    Example: true

  - `data.completed_by.restricted_customers.is_payroll_enabled` (boolean,null)
    Indicates if the group has payroll enabled.
    Example: true

  - `data.completed_by.restricted_customers.is_visible` (boolean,null)
    Indicates if the group is visible.
    Example: true

  - `data.completed_by.restricted_customers.order_index` (integer,null)
    The order index of the group.
    Example: 1

  - `data.assignee` (object,null)
    A team member of a company.

  - `data.assignee.object` (string, required)
    A canonical value representing a resource.
    Enum: "COMPANY_TEAM_MEMBER"

  - `data.assignee.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.assignee.calendar_color` (string,null)
    Color code for calendar display, if assigned
    Example: "#FF0000"

  - `data.assignee.permissions` (array, required)
    List of permissions granted to the team member

  - `data.assignee.permissions.object` (string)
    A canonical value representing a resource.
    Enum: "PERMISSION"

  - `data.assignee.permissions.name` (string, required)
    The name of the permission
    Enum: "ACTIVITY_LOG_VIEW", "APP_STORE_VIEW_ANY", "APPOINTMENTS_MANAGE", "AVAILABILITY_VIEW_ANY", "CALENDAR_VIEW_ANY", "CUSTOMER_CREATE", "CUSTOMER_DELETE", "CUSTOMER_EXPORT_CREATE", "CUSTOMER_IMPORT_CREATE", "CUSTOMER_VIEW_ANY", "FEE_VIEW_ANY", "LISTING_CREATE", "LISTING_DELETE", "LISTING_VIEW_ANY", "MEDIA_REQUEST_MANAGE", "ORDER_AMOUNT_VIEW_ANY", "ORDER_FORM_VIEW_ANY", "ORDER_NOTES_MANAGE", "ORDER_VIEW_ANY", "ORDERS_MANAGE", "PAYMENT_METHODS_MANAGE", "PAYROLL_MANAGE", "PAYROLL_PERSONAL_MANAGE", "PAYROLL_PERSONAL_VIEW", "PRODUCT_VIEW_ANY", "REPORT_VIEW_ANY", "SETTINGS_MANAGE", "TAX_VIEW_ANY", "TERRITORY_VIEW_ANY", "ZILLOW_MEDIA_EXCLUSIVES_MANAGE", "SAVED_VIEWS_MANAGE"

  - `data.assignee.restrictions` (array, required)
    List of restrictions applied to the team member

  - `data.assignee.is_service_provider` (boolean, required)
    Indicates if the team member is a service provider
    Example: true

  - `data.assignee.external_id` (string,null)
    External identifier for the team member, if any
    Example: "1234567890"

  - `data.assignee.company_user` (object,null)
    A record of a person on the Aryeo platform.

  - `data.assignee.company_user.object` (string,null)
    A canonical value representing a resource.
    Example: "PERSONAL_ACCESS_TOKEN"

  - `data.assignee.company_user.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.assignee.company_user.email` (string, required)
    Email address of the user.
    Example: "john.doe@gmail.com"

  - `data.assignee.company_user.first_name` (string,null)
    First name of the user.
    Example: "John"

  - `data.assignee.company_user.last_name` (string,null)
    Last name of the user.
    Example: "Doe"

  - `data.assignee.company_user.full_name` (string,null)
    The full name of the user.
    Example: "John Doe"

  - `data.assignee.company_user.internal_notes` (string,null)
    Internal notes for the user.
    Example: "Internal notes for the user."

  - `data.assignee.company_user.status` (string)
    The status of the user.
    Enum: "active", "inactive", "new", "sso"

  - `data.assignee.company_user.phone` (string,null)
    A phone number represented in whichever standards specified by the user, typically ###-###-#### (separated by hyphens).
    Example: "123456789"

  - `data.assignee.company_user.avatar_url` (string,null)
    The avatar image URL of a user.
    Example: "https://picsum.photos/300"

  - `data.assignee.company_user.relationship` (string,null)
    Describes user's relationship (access level) to a specified group. Only returned if this resource is returned as a sub-resource of a group.
    Example: "owner"

  - `data.assignee.company_user.sso_users` (array)
    The list of SSO users associated with this user.

  - `data.assignee.company_user.sso_users.sso_id` (string, required)
    SSO ID of the user
    Example: "1234"

  - `data.assignee.company_user.sso_users.sso_provider` (object)
    A SSO Provider contains the information pertaining to the SSO connection.

  - `data.assignee.company_user.sso_users.sso_provider.name` (string, required)
    Name of the provider
    Example: "Some Company"

  - `data.assignee.company_user.sso_users.sso_provider.provider` (string, required)
    Technology of the provider
    Example: "Auth0"

  - `data.assignee.company_user.is_super` (boolean,null)
    Indicates if the user is a super user.
    Example: true

  - `data.assignee.company_user.verification_status` (string)
    The verification status of the user.
    Enum: "verified", "unverified", "new", "sso"

  - `data.assignee.company_user.password_expiration_days` (integer,null)
    The number of days until the user's password expires.
    Example: 30

  - `data.assignee.company_user.timezone` (string,null)
    The default timezone for the user.
    Example: "America/New_York"

  - `data.assignee.company_user.created_at` (string,null)
    The date and time (ISO 8601 format) when the user was created.
    Example: "2021-06-30T20:30:00Z"

  - `data.assignee.has_owner_role` (boolean,null)
    Indicates if the team member has the owner role
    Example: true

  - `data.assignee.is_owner` (boolean,null)
    Indicates if the team member is the owner
    Example: true

  - `data.assignee.invitation_accepted_at` (string,null)
    The date and time (ISO 8601 format) when the company team member invitation was accepted
    Example: "2025-04-01T05:59:59.999999Z"

  - `data.assignee.role` (string,null)
    The role of the team member
    Enum: "ADMIN", "MEMBER", "OWNER"

  - `data.assignee.status` (string,null)
    The status of the team member
    Enum: "active", "invited", "revoked"

  - `data.assignee.is_active` (boolean,null)
    Indicates if the team member is active
    Example: true

  - `data.assignee.is_invited` (boolean,null)
    Indicates if the team member is invited
    Example: true

  - `data.assignee.is_revoked` (boolean,null)
    Indicates if the team member is revoked
    Example: true

  - `data.assignee.scheduling_priority` (integer,null)
    The scheduling priority of the team member
    Example: 1

  - `data.assignee.created_at` (string,null)
    The date and time (ISO 8601 format) when the company team member was created
    Example: "2025-04-01T05:59:59.999999Z"

  - `data.assignee.require_appointment_confirmation` (boolean,null)
    Indicates if the team member requires appointment confirmation
    Example: true

  - `data.assignee.fees` (array)
    The fees assigned to the team member

  - `data.assignee.fees.object` (string, required)
    A canonical value representing a resource.
    Enum: "FEE"

  - `data.assignee.fees.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.assignee.fees.title` (string,null)
    The title of the fee.
    Example: "Flat Fee"

  - `data.assignee.fees.type` (string)
    The type of fee.
    Enum: "FLAT", "PERCENT", "BASIC_METERED", "GRADUATED_METERED", "VOLUME_METERED", "TERRITORY"

  - `data.assignee.fees.name` (string)
    The name of the fee.
    Example: "Flat Fee"

  - `data.assignee.fees.description` (string)
    The description of the fee.
    Example: "Flat fee for the order"

  - `data.assignee.fees.avalara_tax_code` (string,null)
    The Avalara tax code for the fee.
    Example: "12345"

  - `data.assignee.fees.quickbooks_item_id` (string,null)
    The Quickbooks item ID for the fee.
    Example: "12345"

  - `data.assignee.fees.amount` (number)
    The amount of the fee.
    Example: 100

  - `data.assignee.travel_fee_amount` (integer,null)
    The travel fee amount in cents
    Example: 1000

  - `data.assignee.travel_fee_is_estimated` (boolean,null)
    Indicates if the travel fee is estimated
    Example: true

  - `data.assignee.restricted_customers` (array)
    Customers that this team member is restricted from working with

  - `data.assignee.restricted_customers.object` (string)
    A canonical value representing a resource.
    Enum: "GROUP"

  - `data.assignee.restricted_customers.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.assignee.restricted_customers.type` (string, required)
    The type of the group. Can be CREATOR, AGENT, or BROKERAGE, and may dictate the attributes of the group returned.
    Enum: "CREATOR", "AGENT", "BROKERAGE"

  - `data.assignee.restricted_customers.name` (string, required)
    The name of the group.
    Example: "John Doe Reality"

  - `data.assignee.restricted_customers.email` (string,null)
    The email address of a group.
    Example: "john.doe@gmail.com"

  - `data.assignee.restricted_customers.phone` (string,null)
    A phone number represented in whichever standards specified by the group, typically ###-###-#### (separated by hyphens).
    Example: "6175550173"

  - `data.assignee.restricted_customers.website_url` (string,null)
    The website URL of a group.
    Example: "https://www.aryeo.com"

  - `data.assignee.restricted_customers.logo_url` (string,null)
    The logo URL of a group.
    Example: "https://picsum.photos/300"

  - `data.assignee.restricted_customers.office_name` (string,null)
    The name of the brokerage or team of a real estate agent. Only returned if group's type is AGENT.
    Example: "John Doe Brokerage"

  - `data.assignee.restricted_customers.license_number` (string,null)
    The license number of a real estate agent. Only returned if group's type is AGENT.
    Example: "12345678"

  - `data.assignee.restricted_customers.timezone` (string,null)
    The default timezone for the group.
    Example: "America/New_York"

  - `data.assignee.restricted_customers.currency` (string)
    The default currency for the group.
    Enum: "USD", "CAD", "GBP", "CHF", "EUR", "AUD", "NZD", "ZAR", "DKK"

  - `data.assignee.restricted_customers.slug` (string,null)
    The slug for the group.
    Example: "example-photography"

  - `data.assignee.restricted_customers.order_page_url` (string,null)
    The order page URL for the group.
    Example: "https://example-photography.aryeo.com/order"

  - `data.assignee.restricted_customers.feature_flags` (array,null)
    An array of feature flags for the group.
    Enum: "alternate_unbranded_property_site_url", "avalara_tax_syncing", "avalara_taxes", "byop", "calendar_event_title_modified", "custom_field_uploads", "customer_teams_order_form_landing_page_override", "customer_teams_product_preselect", "customer_teams_external_payments", "customer_portal_mobile_app_automated_screenshots", "database_external_calendar_events", "default_reschedule_toggle_false", "idp_migration_in_progress", "listings_new_creation_flow", "listings_new_edit_page", "min_hour_targets", "max_travel_distance", "order_form_categories", "require_photographer_confirmations", "showcase_order_form_visibility_designations", "team_member_restrictions", "team_member_hide_customer_pii", "virtual_staging_ai_v2", "virtual_staging_ai_v2_pricing", "virtuals1_custom_sms_notification_messages", "quickbooks_app", "webhooks", "zillow_3d_home", "zillow_streeteasy", "zillow_rentals"

  - `data.assignee.restricted_customers.order_page_background_color` (string,null)
    The background color for the order page (has a hex value) for the group.
    Example: "#FF0000"

  - `data.assignee.restricted_customers.social_profiles` (object,null)
    External profile URLs for an agent or brokerage group.

  - `data.assignee.restricted_customers.social_profiles.facebook_profile_url` (string,null)
    URL for Facebook.
    Example: "https://www.facebook.com/johndoe"

  - `data.assignee.restricted_customers.social_profiles.instagram_profile_url` (string,null)
    URL for Instagram.
    Example: "https://www.instagram.com/johndoe"

  - `data.assignee.restricted_customers.social_profiles.twitter_profile_url` (string,null)
    URL for Twitter.
    Example: "https://twitter.com/johndoe"

  - `data.assignee.restricted_customers.social_profiles.linkedin_profile_url` (string,null)
    URL for LinkedIn.
    Example: "https://www.linkedin.com/in/johndoe/"

  - `data.assignee.restricted_customers.social_profiles.zillow_profile_url` (string,null)
    URL for Zillow.
    Example: "https://www.zillow.com/profile/johndoe"

  - `data.assignee.restricted_customers.default_order_form` (object)
    An order form is a form that is used to submit an order.

  - `data.assignee.restricted_customers.default_order_form.object` (string)
    A canonical value representing a resource.
    Enum: "ORDER_FORM"

  - `data.assignee.restricted_customers.default_order_form.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.assignee.restricted_customers.default_order_form.title` (string, required)
    The title or name of the order form.
    Example: "BQ's Photography Order Form"

  - `data.assignee.restricted_customers.default_order_form.type` (string, required)
    The type of the order form, indicating whether the order form is an Aryeo order form or that of another scheduling service provider.
    Enum: "ARYEO", "EXTERNAL"

  - `data.assignee.restricted_customers.default_order_form.url` (string, required)
    A URL of a publicly-accessible webpage for this order form.
    Example: "https://www.aryeo.com/order-forms/00000000-0000-4000-8000-000000000000"

  - `data.assignee.restricted_customers.default_order_form.is_public` (boolean)
    Indicates if the order form is publicly visible to all customers on the order form page
    Example: true

  - `data.assignee.restricted_customers.default_order_form.thumbnail_url` (string,null)
    A thumbnail image URL for the order form.
    Example: "https://picsum.photos/300"

  - `data.assignee.restricted_customers.default_order_form.use_territory_awareness` (boolean)
    Indicates if the order form is uses territories to filter available users and products.
    Example: true

  - `data.assignee.restricted_customers.default_order_form.availability_style` (string)
    The scheduling style the order form should use to for timeslot selection.
    Enum: "TIME", "TIME_OF_DAY", "LEGACY", "DATETIME_PICKER"

  - `data.assignee.restricted_customers.default_order_form.slot_interval_minutes` (integer)
    How frequently slotted available times are on the order form.
    Example: 60

  - `data.assignee.restricted_customers.default_order_form.use_automated_user_assignment` (boolean)
    Indicates if the order form users auto-assignment of users to appointments.
    Example: true

  - `data.assignee.restricted_customers.default_order_form.automated_user_assignment_strategy` (string)
    The assignment strategy the order form should use to assign users to appointments, if applicable.
    Enum: "RECOMMENDED", "HOURS_PRIORITY", "DISTANCE", "ROUND_ROBIN", "PRIORITY_LIST"

  - `data.assignee.restricted_customers.default_order_form.show_user_names` (boolean)
    Indicates if the order form should display user's names after they have been assigned to an appointment.
    Example: true

  - `data.assignee.restricted_customers.default_order_form.require_upfront_payment` (boolean)
    Indicates if the order form requires an upfront payment to place the order.
    Example: true

  - `data.assignee.restricted_customers.default_order_form.upfront_payment_percentage` (integer,null)
    The percentage of the order form's total price that should be paid upfront.
    Example: 50

  - `data.assignee.restricted_customers.default_order_form.use_instant_appointment_scheduling` (boolean)
    Indicates if the order form instantly schedules appointments as soon as the order is placed.
    Example: true

  - `data.assignee.restricted_customers.default_order_form.form_settings` (object)
    The settings for the order form.

  - `data.assignee.restricted_customers.default_order_form.owner` (object)
    A collection of users that can interact with the Aryeo platform. Permissions and properties are determined based on the group's type which can be creator, agent, or brokerage.

  - `data.assignee.restricted_customers.default_order_form.company` (object)
    A collection of users that can interact with the Aryeo platform. Permissions and properties are determined based on the group's type which can be creator, agent, or brokerage.

  - `data.assignee.restricted_customers.use_territory_awareness` (boolean,null)
    Indicates if the order form by default uses territories to filter available users and products.
    Example: true

  - `data.assignee.restricted_customers.availability_style` (string,null)
    The scheduling style the order form should use for timeslot selection by default.
    Enum: "TIME", "TIME_OF_DAY", "LEGACY"

  - `data.assignee.restricted_customers.slot_interval_minutes` (integer,null)
    How frequently slotted available times are on the order form by default.
    Example: 60

  - `data.assignee.restricted_customers.use_automated_user_assignment` (boolean,null)
    Indicates if the order form uses auto-assignment of users to appointments.
    Example: true

  - `data.assignee.restricted_customers.automated_user_assignment_strategy` (string,null)
    The default assignment strategy the order form should use to assign users to appointments, if applicable.
    Enum: "RECOMMENDED", "HOURS_PRIORITY", "DISTANCE", "ROUND_ROBIN", "PRIORITY_LIST"

  - `data.assignee.restricted_customers.show_user_names` (boolean,null)
    Indicates if the order form by default should display user's names after they have been assigned to an appointment.
    Example: true

  - `data.assignee.restricted_customers.use_instant_appointment_scheduling` (boolean,null)
    Indicates if the order form by default instantly schedules appointments as soon as the order is placed.
    Example: true

  - `data.assignee.restricted_customers.allow_order_cancellation` (boolean,null)
    If the group is a company, then this indicates if company allows customers to cancel orders or order items.
    Example: true

  - `data.assignee.restricted_customers.order_forms` (array,null)
    An array of order forms a vendor group provides for placing orders. Only returned if group's type is CREATOR.

  - `data.assignee.restricted_customers.order_forms.object` (string)
    A canonical value representing a resource.
    Enum: "ORDER_FORM"

  - `data.assignee.restricted_customers.order_forms.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.assignee.restricted_customers.order_forms.title` (string, required)
    The title or name of the order form.
    Example: "BQ's Photography Order Form"

  - `data.assignee.restricted_customers.order_forms.type` (string, required)
    The type of the order form, indicating whether the order form is an Aryeo order form or that of another scheduling service provider.
    Enum: "ARYEO", "EXTERNAL"

  - `data.assignee.restricted_customers.order_forms.url` (string, required)
    A URL of a publicly-accessible webpage for this order form.
    Example: "https://www.aryeo.com/order-forms/00000000-0000-4000-8000-000000000000"

  - `data.assignee.restricted_customers.order_forms.is_public` (boolean)
    Indicates if the order form is publicly visible to all customers on the order form page
    Example: true

  - `data.assignee.restricted_customers.order_forms.thumbnail_url` (string,null)
    A thumbnail image URL for the order form.
    Example: "https://picsum.photos/300"

  - `data.assignee.restricted_customers.order_forms.use_territory_awareness` (boolean)
    Indicates if the order form is uses territories to filter available users and products.
    Example: true

  - `data.assignee.restricted_customers.order_forms.availability_style` (string)
    The scheduling style the order form should use to for timeslot selection.
    Enum: "TIME", "TIME_OF_DAY", "LEGACY", "DATETIME_PICKER"

  - `data.assignee.restricted_customers.order_forms.slot_interval_minutes` (integer)
    How frequently slotted available times are on the order form.
    Example: 60

  - `data.assignee.restricted_customers.order_forms.use_automated_user_assignment` (boolean)
    Indicates if the order form users auto-assignment of users to appointments.
    Example: true

  - `data.assignee.restricted_customers.order_forms.automated_user_assignment_strategy` (string)
    The assignment strategy the order form should use to assign users to appointments, if applicable.
    Enum: "RECOMMENDED", "HOURS_PRIORITY", "DISTANCE", "ROUND_ROBIN", "PRIORITY_LIST"

  - `data.assignee.restricted_customers.order_forms.show_user_names` (boolean)
    Indicates if the order form should display user's names after they have been assigned to an appointment.
    Example: true

  - `data.assignee.restricted_customers.order_forms.require_upfront_payment` (boolean)
    Indicates if the order form requires an upfront payment to place the order.
    Example: true

  - `data.assignee.restricted_customers.order_forms.upfront_payment_percentage` (integer,null)
    The percentage of the order form's total price that should be paid upfront.
    Example: 50

  - `data.assignee.restricted_customers.order_forms.use_instant_appointment_scheduling` (boolean)
    Indicates if the order form instantly schedules appointments as soon as the order is placed.
    Example: true

  - `data.assignee.restricted_customers.order_forms.form_settings` (object)
    The settings for the order form.

  - `data.assignee.restricted_customers.order_forms.owner` (object)
    A collection of users that can interact with the Aryeo platform. Permissions and properties are determined based on the group's type which can be creator, agent, or brokerage.

  - `data.assignee.restricted_customers.order_forms.company` (object)
    A collection of users that can interact with the Aryeo platform. Permissions and properties are determined based on the group's type which can be creator, agent, or brokerage.

  - `data.assignee.restricted_customers.owner` (object,null)
    A record of a person on the Aryeo platform.

  - `data.assignee.restricted_customers.owner.object` (string,null)
    A canonical value representing a resource.
    Example: "PERSONAL_ACCESS_TOKEN"

  - `data.assignee.restricted_customers.owner.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.assignee.restricted_customers.owner.email` (string, required)
    Email address of the user.
    Example: "john.doe@gmail.com"

  - `data.assignee.restricted_customers.owner.first_name` (string,null)
    First name of the user.
    Example: "John"

  - `data.assignee.restricted_customers.owner.last_name` (string,null)
    Last name of the user.
    Example: "Doe"

  - `data.assignee.restricted_customers.owner.full_name` (string,null)
    The full name of the user.
    Example: "John Doe"

  - `data.assignee.restricted_customers.owner.internal_notes` (string,null)
    Internal notes for the user.
    Example: "Internal notes for the user."

  - `data.assignee.restricted_customers.owner.status` (string)
    The status of the user.
    Enum: "active", "inactive", "new", "sso"

  - `data.assignee.restricted_customers.owner.phone` (string,null)
    A phone number represented in whichever standards specified by the user, typically ###-###-#### (separated by hyphens).
    Example: "123456789"

  - `data.assignee.restricted_customers.owner.avatar_url` (string,null)
    The avatar image URL of a user.
    Example: "https://picsum.photos/300"

  - `data.assignee.restricted_customers.owner.relationship` (string,null)
    Describes user's relationship (access level) to a specified group. Only returned if this resource is returned as a sub-resource of a group.
    Example: "owner"

  - `data.assignee.restricted_customers.owner.sso_users` (array)
    The list of SSO users associated with this user.

  - `data.assignee.restricted_customers.owner.sso_users.sso_id` (string, required)
    SSO ID of the user
    Example: "1234"

  - `data.assignee.restricted_customers.owner.sso_users.sso_provider` (object)
    A SSO Provider contains the information pertaining to the SSO connection.

  - `data.assignee.restricted_customers.owner.sso_users.sso_provider.name` (string, required)
    Name of the provider
    Example: "Some Company"

  - `data.assignee.restricted_customers.owner.sso_users.sso_provider.provider` (string, required)
    Technology of the provider
    Example: "Auth0"

  - `data.assignee.restricted_customers.owner.is_super` (boolean,null)
    Indicates if the user is a super user.
    Example: true

  - `data.assignee.restricted_customers.owner.verification_status` (string)
    The verification status of the user.
    Enum: "verified", "unverified", "new", "sso"

  - `data.assignee.restricted_customers.owner.password_expiration_days` (integer,null)
    The number of days until the user's password expires.
    Example: 30

  - `data.assignee.restricted_customers.owner.timezone` (string,null)
    The default timezone for the user.
    Example: "America/New_York"

  - `data.assignee.restricted_customers.owner.created_at` (string,null)
    The date and time (ISO 8601 format) when the user was created.
    Example: "2021-06-30T20:30:00Z"

  - `data.assignee.restricted_customers.users` (array,null)
    The Aryeo users associated with this group.

  - `data.assignee.restricted_customers.users.object` (string,null)
    A canonical value representing a resource.
    Example: "PERSONAL_ACCESS_TOKEN"

  - `data.assignee.restricted_customers.users.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.assignee.restricted_customers.users.email` (string, required)
    Email address of the user.
    Example: "john.doe@gmail.com"

  - `data.assignee.restricted_customers.users.first_name` (string,null)
    First name of the user.
    Example: "John"

  - `data.assignee.restricted_customers.users.last_name` (string,null)
    Last name of the user.
    Example: "Doe"

  - `data.assignee.restricted_customers.users.full_name` (string,null)
    The full name of the user.
    Example: "John Doe"

  - `data.assignee.restricted_customers.users.internal_notes` (string,null)
    Internal notes for the user.
    Example: "Internal notes for the user."

  - `data.assignee.restricted_customers.users.status` (string)
    The status of the user.
    Enum: "active", "inactive", "new", "sso"

  - `data.assignee.restricted_customers.users.phone` (string,null)
    A phone number represented in whichever standards specified by the user, typically ###-###-#### (separated by hyphens).
    Example: "123456789"

  - `data.assignee.restricted_customers.users.avatar_url` (string,null)
    The avatar image URL of a user.
    Example: "https://picsum.photos/300"

  - `data.assignee.restricted_customers.users.relationship` (string,null)
    Describes user's relationship (access level) to a specified group. Only returned if this resource is returned as a sub-resource of a group.
    Example: "owner"

  - `data.assignee.restricted_customers.users.sso_users` (array)
    The list of SSO users associated with this user.

  - `data.assignee.restricted_customers.users.sso_users.sso_id` (string, required)
    SSO ID of the user
    Example: "1234"

  - `data.assignee.restricted_customers.users.sso_users.sso_provider` (object)
    A SSO Provider contains the information pertaining to the SSO connection.

  - `data.assignee.restricted_customers.users.sso_users.sso_provider.name` (string, required)
    Name of the provider
    Example: "Some Company"

  - `data.assignee.restricted_customers.users.sso_users.sso_provider.provider` (string, required)
    Technology of the provider
    Example: "Auth0"

  - `data.assignee.restricted_customers.users.is_super` (boolean,null)
    Indicates if the user is a super user.
    Example: true

  - `data.assignee.restricted_customers.users.verification_status` (string)
    The verification status of the user.
    Enum: "verified", "unverified", "new", "sso"

  - `data.assignee.restricted_customers.users.password_expiration_days` (integer,null)
    The number of days until the user's password expires.
    Example: 30

  - `data.assignee.restricted_customers.users.timezone` (string,null)
    The default timezone for the user.
    Example: "America/New_York"

  - `data.assignee.restricted_customers.users.created_at` (string,null)
    The date and time (ISO 8601 format) when the user was created.
    Example: "2021-06-30T20:30:00Z"

  - `data.assignee.restricted_customers.is_brokerage_or_brokerage_agent` (boolean,null)
    Indicates if the group is a brokerage or brokerage agent.
    Example: true

  - `data.assignee.restricted_customers.avatar_url` (string,null)
    The avatar image URL of a user.
    Example: "https://picsum.photos/300"

  - `data.assignee.restricted_customers.internal_notes` (string,null)
    Internal notes about the group.
    Example: "Internal notes about the group."

  - `data.assignee.restricted_customers.team_members` (array,null)
    NOTE: Users do not have team members.

  - `data.assignee.restricted_customers.team_members.object` (string,null)
    A canonical value representing a resource.
    Example: "PERSONAL_ACCESS_TOKEN"

  - `data.assignee.restricted_customers.team_members.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.assignee.restricted_customers.team_members.email` (string, required)
    Email address of the user.
    Example: "john.doe@gmail.com"

  - `data.assignee.restricted_customers.team_members.first_name` (string,null)
    First name of the user.
    Example: "John"

  - `data.assignee.restricted_customers.team_members.last_name` (string,null)
    Last name of the user.
    Example: "Doe"

  - `data.assignee.restricted_customers.team_members.full_name` (string,null)
    The full name of the user.
    Example: "John Doe"

  - `data.assignee.restricted_customers.team_members.internal_notes` (string,null)
    Internal notes for the user.
    Example: "Internal notes for the user."

  - `data.assignee.restricted_customers.team_members.status` (string)
    The status of the user.
    Enum: "active", "inactive", "new", "sso"

  - `data.assignee.restricted_customers.team_members.phone` (string,null)
    A phone number represented in whichever standards specified by the user, typically ###-###-#### (separated by hyphens).
    Example: "123456789"

  - `data.assignee.restricted_customers.team_members.avatar_url` (string,null)
    The avatar image URL of a user.
    Example: "https://picsum.photos/300"

  - `data.assignee.restricted_customers.team_members.relationship` (string,null)
    Describes user's relationship (access level) to a specified group. Only returned if this resource is returned as a sub-resource of a group.
    Example: "owner"

  - `data.assignee.restricted_customers.team_members.sso_users` (array)
    The list of SSO users associated with this user.

  - `data.assignee.restricted_customers.team_members.sso_users.sso_id` (string, required)
    SSO ID of the user
    Example: "1234"

  - `data.assignee.restricted_customers.team_members.sso_users.sso_provider` (object)
    A SSO Provider contains the information pertaining to the SSO connection.

  - `data.assignee.restricted_customers.team_members.sso_users.sso_provider.name` (string, required)
    Name of the provider
    Example: "Some Company"

  - `data.assignee.restricted_customers.team_members.sso_users.sso_provider.provider` (string, required)
    Technology of the provider
    Example: "Auth0"

  - `data.assignee.restricted_customers.team_members.is_super` (boolean,null)
    Indicates if the user is a super user.
    Example: true

  - `data.assignee.restricted_customers.team_members.verification_status` (string)
    The verification status of the user.
    Enum: "verified", "unverified", "new", "sso"

  - `data.assignee.restricted_customers.team_members.password_expiration_days` (integer,null)
    The number of days until the user's password expires.
    Example: 30

  - `data.assignee.restricted_customers.team_members.timezone` (string,null)
    The default timezone for the user.
    Example: "America/New_York"

  - `data.assignee.restricted_customers.team_members.created_at` (string,null)
    The date and time (ISO 8601 format) when the user was created.
    Example: "2021-06-30T20:30:00Z"

  - `data.assignee.restricted_customers.customer_group` (string,null)
    NOTE: Users do not have customer groups and they are deprecated.
    Example: "null"

  - `data.assignee.restricted_customers.custom_field_entries` (array,null)
    NOTE: Need to make a migration plan for this.

  - `data.assignee.restricted_customers.created_at` (string,null)
    The date and time the group was created.
    Example: "2021-06-30T20:30:00Z"

  - `data.assignee.restricted_customers.has_restricted_photographers` (boolean,null)
    Whether the group is restricted from booking appointments with certain photographers.
    Example: true

  - `data.assignee.restricted_customers.is_payroll_enabled` (boolean,null)
    Indicates if the group has payroll enabled.
    Example: true

  - `data.assignee.restricted_customers.is_visible` (boolean,null)
    Indicates if the group is visible.
    Example: true

  - `data.assignee.restricted_customers.order_index` (integer,null)
    The order index of the group.
    Example: 1

  - `data.task_template` (object)
    A task template is a template for a task that can be assigned to a user.

  - `data.task_template.id` (string)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.task_template.name` (string)
    The name of the task template.
    Example: "Complete 41 Drone Shots, Variant corporis"

  - `data.task_template.description` (string)
    The description of the task template.
    Example: "Complete 41 Drone Shots, Variant corporis"

  - `data.task_template.product_variant` (object)
    A variant of a product.

  - `data.task_template.product_variant.object` (string)
    A canonical value representing a resource.
    Enum: "PRODUCT_VARIANT"

  - `data.task_template.product_variant.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.task_template.product_variant.title` (string, required)
    The title of the product variant.
    Example: "House photos"

  - `data.task_template.product_variant.price` (integer)
    A positive integer in the smallest currency unit (that is, 100 cents for $1.00) representing the price of the product variant.
    Example: 10000

  - `data.task_template.product_variant.price_amount` (integer)
    A positive integer in the smallest currency unit (that is, 100 cents for $1.00) representing the price of the product variant.
    Example: 10000

  - `data.task_template.product_variant.base_price_amount` (integer)
    A positive integer in the smallest currency unit (that is, 100 cents for $1.00) representing the price of the product variant.
    Example: 10000

  - `data.task_template.product_variant.base_is_hidden` (boolean)
    Indicates if the base price of the product variant is hidden.
    Example: true

  - `data.task_template.product_variant.display_original_price` (boolean)
    Indicates if the original price of the product variant should be displayed.
    Example: true

  - `data.task_template.product_variant.duration` (integer)
    The duration of the product item, in minutes.
    Example: 60

  - `data.task_template.default_pay_run_item_amount` (integer)
    The default pay run item amount of the task template.
    Example: 10000

  - `data.task_template.default_pay_run_item_amount_type` (string)
    The default pay run item amount type of the task template.
    Enum: "flat", "percentage"

  - `data.task_template.pay_run_item_amount_overrides` (array)

  - `data.task_template.pay_run_item_amount_overrides.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.task_template.pay_run_item_amount_overrides.task_template` (object, required)
    A task template is a template for a task that can be assigned to a user.

  - `data.task_template.pay_run_item_amount_overrides.amount` (integer, required)
    The amount of the pay run item amount override.
    Example: 10000

  - `data.task_template.pay_run_item_amount_overrides.amount_type` (string, required)
    The type of the pay run item amount override.
    Enum: "flat", "percentage"

  - `meta` (object)
    Metadata about a paginated response.

  - `meta.total` (integer, required)
    Total number of records.
    Example: 50

  - `meta.per_page` (integer, required)
    Number of records per page.
    Example: 15

  - `meta.current_page` (integer, required)
    The current page.
    Example: 1

  - `meta.last_page` (integer, required)
    The last page of records.
    Example: 4

  - `meta.from` (integer,null)
    The ID of the first record on this page. This is specified as either integer or null purely for spec testing purposes. The model which is autogenerated from this definition will be thrown out and written by-hand.
    Example: 1

  - `meta.to` (integer,null)
    The ID of the last record on this page. This is specified as either integer or null purely for spec testing purposes. The model which is autogenerated from this definition will be thrown out and written by-hand.
    Example: 15

  - `meta.path` (string, required)
    The current paged path.
    Example: "https://api.aryeo.com/v1/{path}"

  - `meta.links` (array,null)
    Links.

  - `meta.links.url` (string,null, required)
    The URL of the page.
    Example: "https://admin.aryeo.test/api/v1/companies?page=2"

  - `meta.links.label` (string, required)
    The label of the page.
    Example: "2"

  - `meta.links.active` (boolean, required)
    Whether the page is active.
    Example: true

  - `meta.links.page` (integer,null)
    The page number this link points to.
    Example: 2

  - `links` (object)
    Related links for a paginated response.

  - `links.first` (string, required)
    The first page.
    Example: "https://api.aryeo.com/v1/{path}?page=1"

  - `links.last` (string, required)
    The last page.
    Example: "https://api.aryeo.com/v1/{path}?page=10"

  - `links.prev` (string,null)
    The previous page. This is specified as either string or null purely for spec testing purposes. The model which is autogenerated from this definition will be thrown out and written by-hand.
    Example: "https://api.aryeo.com/v1/{path}?page=2"

  - `links.next` (string,null)
    The next page. This is specified as either string or null purely for spec testing purposes. The model which is autogenerated from this definition will be thrown out and written by-hand.
    Example: "https://api.aryeo.com/v1/{path}?page=3"

  - `timestamp` (string,null)
    The request timestamp (ISO 8601).
    Example: "2021-06-30T20:30:00Z"

## Response 404 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 404

## Response 422 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "fail"

## Response 500 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 500


